#
# spec file for package python-google-cloud-artifact-registry
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-artifact-registry
Version:        1.16.0
Release:        1.1
Summary:        Google Cloud Artifact Registry API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-artifact-registry
Source:         https://files.pythonhosted.org/packages/source/g/google_cloud_artifact_registry/google_cloud_artifact_registry-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.1}
BuildRequires:  %{python_module grpc-google-iam-v1 >= 0.14.0}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.20.2}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.1
Requires:       python-google-auth >= 2.14.1
Requires:       python-grpc-google-iam-v1 >= 0.14.0
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Artifact Registry API client library

%prep
%autosetup -p1 -n google_cloud_artifact_registry-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/artifactregistry*
%{python_sitelib}/google_cloud_artifact_registry-%{version}.dist-info

%changelog
* Thu Apr 24 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 1.16.0
  * Add the GoModule and KfpArtifact resources
  * Remove the restriction of the maximum numbers of versions
    that can be deleted in one BatchDeleteVersions call
- from version 1.15.2
  * [Many APIs] Allow Protobuf 6.x
  * Remove setup.cfg configuration for creating universal wheels
- from version 1.15.1
  * **deps:** Require grpc-google-iam-v1 >= 0.14.0
- from version 1.15.0
  * Add REST Interceptors which support reading metadata
  * Add support for reading selective GAPIC generation methods from service YAML
- from version 1.14.0
  * Add support for opt-in debug logging
  * Fix typing issue with gRPC metadata when key ends in -bin
- from version 1.13.1
  * Disable universe-domain validation (#13242)
- from version 1.13.0
  * Add Artifact Registry attachment API
  * Add Artifact Registry custom remote support
  * Add Artifact Registry generic repository support
  * Add Artifact Registry rule APIs
  * Add Artifact Registry server side resource filtering and sorting
  * Add Artifact Registry UpdateFile and DeleteFile APIs
  * Include max page size for all Artifact Registry APIs
- from version 1.12.0
  * Add support for Python 3.13 (#13206)
- from version 1.11.5
  * Retry and timeout values do not propagate in requests during pagination
- from version 1.11.4
  * Allow Protobuf 5.x (#12863)
- Adjust upstream source name in spec file
- Update BuildRequires and Requires from setup.py
* Sat Apr 20 2024 Dirk Müller <dmueller@suse.com>
- update to 1.11.3:
  * Add google-auth as a direct dependency (780c5f1)
  * Add staticmethod decorator to _get_client_cert_source and
    _get_api_endpoint
  * Resolve AttributeError 'Credentials' object has no attribute
    'universe_domain'
  * Require google-api-core>=1.34.1
  * fix ValueError in test__validate_universe_domain
* Sun Feb  4 2024 Dirk Müller <dmueller@suse.com>
- update to 1.11.0:
  * Allow users to explicitly configure universe domain
* Tue Jan  9 2024 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 1.10.0 (jsc#PED-6697)
